PgBeam Docs
Agents

Revoke an agent credential

DELETE
/v1/projects/{project_id}/agents/{agent_id}

Permanently revokes the credential and drops any live connections.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

agent_id*string

Unique agent credential identifier (prefixed, e.g. agt_xxx).

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/string/agents/string"
Empty
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}